# IBAN validator

## Validate IBAN

> IBAN validate

```json
{"openapi":"3.0.1","info":{"title":"Transfers","version":"1.0"},"tags":[{"name":"General","description":"General"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","scopes":{}}}}},"schemas":{"IbanValidateResult":{"title":"IbanValidateResult","type":"object","properties":{"iban":{"type":"string","description":"IBAN"},"valid":{"type":"boolean","description":"Flag that specifies if IBAN is valid or not. IBAN is valid if all validations contain the validation success code, i.e. the code value that starts with double zero (example 001). More details can be found at https://www.iban.com/validation-api and https://www.iban.com/iban-checker."},"bank_data":{"$ref":"#/components/schemas/BankData"},"sepa_data":{"$ref":"#/components/schemas/SepaData"},"validations":{"$ref":"#/components/schemas/Validations"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Validation"},"description":"List of errors, if any"}},"required":["iban","valid"]},"BankData":{"type":"object","properties":{"bic":{"type":"string","description":"The BIC code of the issuing bank/branch or institution."},"bank":{"type":"string","description":"The name of the bank/institution that issued the IBAN"},"bank_code":{"type":"string","description":"The code of the bank/institution that issued the IBAN"},"country":{"type":"string","description":"Full name of the country of origin e.g. “United States”"},"country_iso":{"type":"string","description":"Two letter abbreviation of the country code e.g. US, UK, AU, FR … etc."}}},"SepaData":{"type":"object","properties":{"SCT":{"type":"string","description":"Whether this bank supports SEPA Credit Transfer (YES or NO)."},"SDD":{"type":"string","description":"Whether this bank supports SEPA Direct Debit (YES or NO)."},"COR1":{"type":"string","description":"Whether this bank supports SEPA COR1 (YES or NO)."},"B2B":{"type":"string","description":"Whether this bank supports SEPA Business to Business (YES or NO)."},"SCC":{"type":"string","description":"Whether this bank supports SEPA Card Clearing (YES or NO)."}}},"Validations":{"type":"object","properties":{"chars":{"$ref":"#/components/schemas/Validation"},"account":{"$ref":"#/components/schemas/Validation"},"iban":{"$ref":"#/components/schemas/Validation"},"structure":{"$ref":"#/components/schemas/Validation"},"length":{"$ref":"#/components/schemas/Validation"},"country_support":{"$ref":"#/components/schemas/Validation"}}},"Validation":{"type":"object","properties":{"code":{"type":"string","description":"Validation code as described at https://www.iban.com/validation-api"},"message":{"type":"string","description":"Validation message"}},"required":["code","message"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/transfers/iban-validate/{iban}":{"get":{"summary":"Validate IBAN","operationId":"iban-validate","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IbanValidateResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"IBAN validate","tags":["General"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/transfers/general.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
